# List sweep configs

`GET /accounts/{accountID}/sweep-configs`

API version: `v2026.10.00`. Send `X-Moov-Version: v2026.10.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

List sweep configs associated with an account.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/wallets.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.10.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.10.00`. |
| `accountID` | path | string | Yes |  |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].sweepConfigID` | string | Yes |  |
| `[].walletID` | string | Yes |  |
| `[].status` | string | Yes | Values: `enabled`, `disabled`. |
| `[].pushPaymentMethod` | object | Yes | The payment method used to push or pull funds to a bank account. The push payment method can only be ach-credit-standard, ach-credit-same-day, rtp-credit, or instant-bank-credit (API v2026.01.00 and later). The pull payment method can only be ach-debit-fund. |
| `[].pushPaymentMethod.paymentMethodID` | string | Yes | ID of the payment method. |
| `[].pushPaymentMethod.disabledOn` | string (date-time) |  |  |
| `[].pullPaymentMethod` | object | Yes | The payment method used to push or pull funds to a bank account. The push payment method can only be ach-credit-standard, ach-credit-same-day, rtp-credit, or instant-bank-credit (API v2026.01.00 and later). The pull payment method can only be ach-debit-fund. |
| `[].pullPaymentMethod.paymentMethodID` | string | Yes | ID of the payment method. |
| `[].pullPaymentMethod.disabledOn` | string (date-time) |  |  |
| `[].minimumBalance` | string |  | An optional field to specify an amount to maintain in the wallet. This is a decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99. If not supplied, the default is 0.00. |
| `[].statementDescriptor` | string |  | The text that appears on the banking statement. The default descriptor is a 10 character ID if an override is not set in the sweep configs statementDescriptor. |
| `[].schedule` | object |  | A configured wallet-level override of the time of day the sweep runs. |
| `[].schedule.cutoffTime` | string | Yes | Time of day the sweep runs, in 24-hour `HH:mm` format. Must fall on a 15-minute mark (`:00`, `:15`, `:30`, `:45`). |
| `[].schedule.timezone` | string | Yes | IANA timezone for `cutoffTime`, such as `America/New_York` or `UTC`. |
| `[].schedule.frequency` | string |  | How often the sweep runs. Defaults to `daily`. Values: `daily`. |
| `[].lockedFields` | array of string |  | An array of fields that are locked. To request updates, please contact Moov support. |
| `[].createdOn` | string (date-time) | Yes |  |
| `[].updatedOn` | string (date-time) | Yes |  |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/accounts/{accountID}/sweep-configs" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.10.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.sweeps.listConfigs({
    accountID: "ed67e4c8-03d3-4d88-ba38-fcd87de45a92",
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/v2026.10.00/money-movement/sweeps/list-configs/
